summaryrefslogtreecommitdiffstats
path: root/misc/init.d
diff options
context:
space:
mode:
authorhugetoad <hugetoad@97f52cf1-0a1b-0410-bd0e-c28be96e8082>2002-08-11 16:16:22 +0000
committerhugetoad <hugetoad@97f52cf1-0a1b-0410-bd0e-c28be96e8082>2002-08-11 16:16:22 +0000
commitcbb3323a0ad2ae65d0134e01b807faf8df99a2d2 (patch)
treead55125fb7f264d94d07d873e00f45c19097f4f6 /misc/init.d
parent150ed6cf4a06893d5ab64eb31c7efc06c4e05744 (diff)
- added housekeeping procedure for table sessions (Alexei)
- changed width=\"X%\" to width=X% in *.php (Alexei) - Status of a trigger will blink if it was changes during last 60 seconds (Alexei) - Zabbix daemons to update triggers.lastchange when triggers.values is changed (Alexei) - added misc/init.d/debian/zabbix-[suckerd|trapperd] (Alexei) - removed misc/init.d/debian/zabbix-server (Alexei) - send_email() will timeout after 10 seconds (Alexei) - DBadd_alarm() renamed to add_alarm() (Alexei) - support for SCO OpenServer (Alexei). Thanks to Alexender Kirhenstein. - ./configure will correctly define socklen_t (Alexei) - <center> changed to <div align=center> (Alexei) - reason of problem in screen IT Services (Alexei) - added frontends.php/helpdesk.php (Alexei) - added tables: problems, problems_comments,categories (Alexei) - added "...#form" to button Change in form Configuration of Users (Alexei) - "Just for information" changed to "Information" (Alexei) - fixed ./configure to correctly find zlib (Alexei) - housekeeping to delete no more than HousekeepingFrequency*3600 records from table history and history_str at once (MySQL only) (Alexei) git-svn-id: svn://svn.zabbix.com/trunk@450 97f52cf1-0a1b-0410-bd0e-c28be96e8082
Diffstat (limited to 'misc/init.d')
-rwxr-xr-xmisc/init.d/debian/zabbix-suckerd (renamed from misc/init.d/debian/zabbix-server)0
-rwxr-xr-xmisc/init.d/debian/zabbix-trapperd51
2 files changed, 51 insertions, 0 deletions
diff --git a/misc/init.d/debian/zabbix-server b/misc/init.d/debian/zabbix-suckerd
index 26e78305..26e78305 100755
--- a/misc/init.d/debian/zabbix-server
+++ b/misc/init.d/debian/zabbix-suckerd
diff --git a/misc/init.d/debian/zabbix-trapperd b/misc/init.d/debian/zabbix-trapperd
new file mode 100755
index 00000000..06ef9048
--- /dev/null
+++ b/misc/init.d/debian/zabbix-trapperd
@@ -0,0 +1,51 @@
+#! /bin/sh
+#
+# Zabbix daemon start/stop script.
+#
+# Written by Alexei Vladishev <alex@gobbo.caves.lv>.
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin:/home/zabbix/bin
+DAEMON=/home/zabbix/bin/zabbix_trapperd
+NAME=zabbix_trapperd
+DESC="Zabbix trapper daemon"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo "Starting $DESC: $NAME"
+ start-stop-daemon --oknodo --start --pidfile /tmp/$NAME.pid \
+ --exec $DAEMON
+ ;;
+ stop)
+ echo "Stopping $DESC: $NAME"
+ start-stop-daemon --oknodo --stop --pidfile /tmp/$NAME.pid \
+ --exec $DAEMON
+ ;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart".
+ #
+# echo -n "Restarting $DESC: zabbix_suckerd"
+ $0 stop
+ $0 start
+# start-stop-daemon --stop --quiet --pidfile \
+# /tmp/$NAME.pid --user zabbix --exec $DAEMON
+# sleep 1
+# start-stop-daemon --start --quiet --pidfile \
+# /tmp/$NAME.pid --user zabbix --exec $DAEMON
+# echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0